- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Render
- Light
- Qt 6.7.2 Reference Documentation

# Light QML Type

Encapsulate a QAbstractLight object in a Qt 3D scene. More...

Import Statement: | import Qt3D.Render 2.7

- List of all members, including inherited members

## Properties

- type : enumeration

## Detailed Description

## Property Documentation

type : enumeration `[read-only]`

Holds the particular type of light.

Constant | Description
--- | ---
`Light.PointLight` | A point light
`Light.DirectionalLight` | A directional light
`Light.SpotLight` | a spot light